using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 产品类型详细信息
    /// </summary>
    public class ProductTypeDetailItem
    {
        /// <summary>
        /// 生产厂家Id
        /// </summary>
        [JsonProperty("venderId")]
        public string VenderId { get; set; }
        /// <summary>
        /// 生产厂家名称
        /// </summary>
        [JsonProperty("venderName")]
        public string VenderName { get; set; }

        /// <summary>
        /// 品牌Id
        /// </summary>
        [JsonProperty("brandId")]
        public string BrandId { get; set; }
        /// <summary>
        /// 品牌名称
        /// </summary>
        [JsonProperty("brandName")]
        public string BrandName { get; set; }

        /// <summary>
        /// 产品Id
        /// </summary>
        [JsonProperty("productId")]
        public string ProductId { get; set; }
        /// <summary>
        /// 产品名称
        /// </summary>
        [JsonProperty("productName")]
        public string ProductName { get; set; }

        /// <summary>
        /// 产品类型Id
        /// </summary>
        [JsonProperty("specificationId")]
        public string ProductTypeId { get; set; }
        /// <summary>
        /// 产品类型名称
        /// </summary>
        [JsonProperty("specificationName")] 
        public string ProductTypeName { get; set; }
        /// <summary>
        /// 族类型
        /// </summary>
        [JsonProperty("eqFamily")] 
        public string FamilyCode { get; set; }

        /// <summary>
        /// 信息点信息
        /// </summary>
        [JsonProperty("infos")]
        [JsonConverter(typeof(ParameterItemsConverter))]
        public List<ParameterItem> Parameters { get; set; }
    }
}
